ReportsCreate a space

Create a space

Needs: Reports, Read-write

Creates a report space (a sidebar folder), first in the list as the sidebar does, with an optional colour and subfolders.

curl -X POST "https://app.imploy.com.au/api/integrations/v1/reports/spaces" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "Operations",
  "color": "Blue",
  "subfolders": [
    {
      "name": "Weekly"
    }
  ]
}'
{
  "created": 2,
  "...": "the space"
}
POST
/reports/spaces
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
Content-Typestring
Required

The media type of the request body

Options: application/json
namestring
Required

The space name.

colorstring

A folder colour name or hex: Gray, Red, Pink, Purple, Blue, Cyan, Teal, Green, Yellow, Orange or Brown, or a hex value from the sidebar palette. Or null.

subfoldersarray

Each needs a name, and can have a color.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Body

application/json
namestring
Required

The space name.

colorstring

A folder colour name or hex: Gray, Red, Pink, Purple, Blue, Cyan, Teal, Green, Yellow, Orange or Brown, or a hex value from the sidebar palette. Or null.

subfoldersarray

Each needs a name, and can have a color.

Responses